# List of software (un)affected by the log4shell CVEs
[About this list](README.md)

[0-9](software_list_0-9.md) [A](software_list_a.md) [B](software_list_b.md) [C](software_list_c.md) [D](software_list_d.md) [E](software_list_e.md) [F](software_list_f.md) [G](software_list_g.md) [H](software_list_h.md) [I](software_list_i.md) [J](software_list_j.md) [K](software_list_k.md) [L](software_list_l.md) [M](software_list_m.md) [N](software_list_n.md) [O](software_list_o.md) [P](software_list_p.md) [Q](software_list_q.md) [R](software_list_r.md) [S](software_list_s.md) [T](software_list_t.md) [U](software_list_u.md) [V](software_list_v.md) [W](software_list_w.md) [X](software_list_x.md) [Y](software_list_y.md) [Z](software_list_z.md)

### C

| Supplier | Product | Version (see Status) | Status CVE-2021-4104 | Status CVE-2021-44228 | Status CVE-2021-45046 | Status CVE-2021-45105 | Notes | Links |
|:---------|:--------|:--------------------:|:--------------------:|:---------------------:|:---------------------:|:---------------------:|:------|------:|
|Campbell Scientific|All| | |Not vuln| | ||[link](https://s.campbellsci.com/documents/us/miscellaneous/log4j2-vulnerability.pdf)|
|Carrier|All| | |Not vuln| | ||[link](https://www.corporate.carrier.com/product-security/advisories-resources/)|
|CircleCI|All| | | | | ||[link](https://discuss.circleci.com/t/circleci-log4j-information-cve-2021-4422)|
|C4b XPHONE|All| | | | | ||[C4b XPHONE Link](https://www.c4b.com/de/news/log4j.php)|
|Camunda|All| | | | | ||[Camunda Forum Link](https://forum.camunda.org/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228/31910)|
|Canary Labs|All| |Not vuln|Not vuln|Not vuln|Not vuln||[Canary Labs Advisory Link](https://helpleft.canarylabs.com/t/83hjjk0/log4j-vulnerability)|
|Canon|Applications integrated with Vitrea (iCAD, Invia, Medis, Mevis, Mirada, Olea and Tomtec)| | |Not vuln| | ||[source](https://www.vitalimages.com/customer-success-support-program/vital-images-software-security-updates/)|
|Canon|DR Products (CXDI_NE)|Omnera, Flexpro, Soltus and more| |Not vuln| | ||[source](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability)|
|Canon|CT Medical Imaging Products| | |Not vuln| | ||[source](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability)|
|Canon|Easy Viz| | |Not vuln| | ||[source](https://www.vitalimages.com/customer-success-support-program/vital-images-software-security-updates/)|
|Canon|Eye-Care Products| | |Not vuln| | ||[source](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability)|
|Canon|MR Medical Imaging Products| | |Not vuln| | ||[source](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability)|
|Canon|NM Medical Imaging Products| | |Not vuln| | ||[source](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability)|
|Canon|Olea Sphere| | |Not vuln| | ||[source](https://www.vitalimages.com/customer-success-support-program/vital-images-software-security-updates/)|
|Canon|Rialto|7.x| |Vulnerable| | |Contact customer support|[source](https://www.vitalimages.com/customer-success-support-program/vital-images-software-security-updates/)|
|Canon|Rialto Connect and Vault| | |Not vuln| | ||[source](https://www.vitalimages.com/customer-success-support-program/vital-images-software-security-updates/)|
|Canon|Solution Health (Cloud)| | |Not vuln| | ||[source](https://www.vitalimages.com/customer-success-support-program/vital-images-software-security-updates/)|
|Canon|Solution Health (On-Prem)| | |Vulnerable| | |Contact customer support|[source](https://www.vitalimages.com/customer-success-support-program/vital-images-software-security-updates/)|
|Canon|UL Medical Imaging Products| | |Not vuln| | ||[source](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability)|
|Canon|Vitrea Advanced|7.x| |Vulnerable| | |See source for mitigations|[source](https://www.vitalimages.com/customer-success-support-program/vital-images-software-security-updates/)|
|Canon|Vitrea Connection|8.x| |Vulnerable| | |Contact customer support|[source](https://www.vitalimages.com/customer-success-support-program/vital-images-software-security-updates/)|
|Canon|Vitrea View| | |Not vuln| | ||[source](https://www.vitalimages.com/customer-success-support-program/vital-images-software-security-updates/)|
|Canon|VL Alphenix Angio Workstation (AWS)| | |Vulnerable| | ||[source](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability)|
|Canon|VL Infinix-i and Alphenix DFP| | |Not vuln| | ||[source](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability)|
|Canon|VL Infinix-i Angio Workstation (AWS)| | |Not vuln| | ||[source](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability)|
|Canon|XR Medical Imaging Products| | |Not vuln| | ||[source](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability)|
|Canon|Zillion| | |Not vuln| | ||[source](https://www.vitalimages.com/customer-success-support-program/vital-images-software-security-updates/)|
|CapStorm|Copystorm| | |Investigation| | |||
|Carbon Black|Cloud Workload Appliance| | |Workaround| | |More information on pages linked bottom of blogpost (behind login)|[source](https://community.carbonblack.com/t5/Documentation-Downloads/Log4Shell-Log4j-Remote-Code-Execution-CVE-2021-44228/ta-p/109134)|
|Carbon Black|EDR Servers| | |Workaround| | |More information on pages linked bottom of blogpost (behind login)|[source](https://community.carbonblack.com/t5/Documentation-Downloads/Log4Shell-Log4j-Remote-Code-Execution-CVE-2021-44228/ta-p/109134)|
|CarbonBlack|All| | | | | ||[CarbonBlack Advisory](https://www.vmware.com/security/advisories/VMSA-2021-0028.html)|
|CareStream|All| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.carestream.com/en/us/services-and-support/cybersecurity-and-privacy)|
|CAS genesisWorld|All| | | | | ||[CAS genesisWorld Link](https://helpdesk.cas.de/CASHelpdesk/FAQDetails.aspx?gguid=0x79F9E881EE3C46C1A71BE9EB3E480446)|
|CaseWare|Cloud|All|Not vuln|Fix| | ||[source](https://www.caseware.com/case-knowledge/caseware-ensuring-customers-protected-log4j-vulnerabilities)|
|CaseWare|IDEA|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.caseware.com/case-knowledge/caseware-ensuring-customers-protected-log4j-vulnerabilities)|
|CaseWare|WorkingPapers|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.caseware.com/case-knowledge/caseware-ensuring-customers-protected-log4j-vulnerabilities)|
|Catalogic|CloudCasa|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cloudcasa.io/forum/topic/no-apache-log4j-issues-in-cloudcasa)|
|Cato Networks|All| | | | | ||[Cato Networks Blog Post](https://www.catonetworks.com/blog/cato-networks-rapid-response-to-the-apache-log4j-remote-code-execution-vulnerability/)|
|Cendio|ThinLinc|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://community.thinlinc.com/t/log4shell-vulnerability/286)|
|Cepheid|C360| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.cepheid.com/en_US/legal/product-security-updates)|
|Cepheid|GeneXpert| | |Investigation| | ||[source](https://www.cepheid.com/en_US/legal/product-security-updates)|
|Cerberus|FTP| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.cerberusftp.com/hc/en-us/articles/4412448183571-Cerberus-is-not-affected-by-CVE-2021-44228-log4j-0-day-vulnerability)|
|Cerberus FTP|All| | | | | ||[Cerberus Article](https://support.cerberusftp.com/hc/en-us/articles/4412448183571-Cerberus-is-not-affected-by-CVE-2021-44228-log4j-0-day-vulnerability)|
|Cerebrate|All|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://twitter.com/cerebrateproje1/status/1470347775141421058)|
|Cerebro|Elasticsearch Web Admin|All|Not vuln|Not vuln|Not vuln|Not vuln|Uses logback for logging|[source](https://github.com/lmenezes/cerebro/blob/main/conf/logback.xml#L5)|
|Chaser Systems|discrimiNAT Firewall|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://chasersystems.com/discrimiNAT/blog/log4shell-and-its-traces-in-a-network-egress-filter/#are-chasers-products-affected)|
|Chatsworth Products|eConnect PDU|Not vuln|Not vuln|Not vuln|Not vuln| |https://user-images.githubusercontent.com/89155495/146845501-b2186f1b-ccce-4f3d-a2c3-373db2eed9f0.png||
|Check Point|CloudGuard|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://supportcontent.checkpoint.com/solutions?id=sk176865)|
|Check Point|Harmony Endpoint & Harmony Mobile|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://supportcontent.checkpoint.com/solutions?id=sk176865)|
|Check Point|Infinity Portal|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://supportcontent.checkpoint.com/solutions?id=sk176865)|
|Check Point|Quantum Security Gateway|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://supportcontent.checkpoint.com/solutions?id=sk176865)|
|Check Point|Quantum Security Management|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://supportcontent.checkpoint.com/solutions?id=sk176865)|
|Check Point|SMB|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://supportcontent.checkpoint.com/solutions?id=sk176865)|
|Check Point|ThreatCloud|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://supportcontent.checkpoint.com/solutions?id=sk176865)|
|CheckMK|All| | | | | ||[CheckMK Forum](https://forum.checkmk.com/t/checkmk-not-affected-by-log4shell/28643/3)|
|Chef|Automate|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.chef.io/blog/is-chef-vulnerable-to-cve-2021-44228-(log4j))|
|Chef|Backend|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.chef.io/blog/is-chef-vulnerable-to-cve-2021-44228-(log4j))|
|Chef|Infra Server|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.chef.io/blog/is-chef-vulnerable-to-cve-2021-44228-(log4j))|
|Ciphermail|All| | | | | ||[Ciphermail Blog Post](https://www.ciphermail.com/blog/ciphermail-gateway-and-webmail-messenger-are-not-vulnerable-to-cve-2021-44228.html)|
|CIS|CAT Lite|4.13.1| |Fix|Fix|Fix||[source](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961)|
|CIS|CAT Pro Assessor v3 Full and Dissolvable|3.0.78| |Fix|Fix|Fix||[source](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961)|
|CIS|CAT Pro Assessor v4|4.13.1| |Fix|Fix|Fix||[source](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961)|
|CIS|CAT Pro Assessor v4 Service|1.13.1| |Fix|Fix|Fix||[source](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961)|
|CIS|CAT Pro Dashboard| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961)|
|CIS|CSAT Pro|1.7.2| |Fix|Fix|Fix||[source](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961)|
|CIS|Hosted CSAT| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961)|
|CIS|WorkBench| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961)|
|Cisco|ACI Multi-Site Orchestrator| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|ACI Virtual Edge| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Adaptive Security Appliance (ASA) Software| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Adaptive Security Device Manager| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Adaptive Security virual Appliance (ASAv)|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Advanced Web Security Reporting Application|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|AireOS Wireless LAN Controllers|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Aironet 1560 Series Access Points| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Aironet 1810 Series OfficeExtend Access Points| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Aironet 1810w Series Access Points| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Aironet 1815 Series Access Points| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Aironet 1830 Series Access Points| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Aironet 1850 Series Access Points| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Aironet 2800 Series Access Points| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Aironet 3800 Series Access Points| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Aironet Access Points|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|AMP Virtual Private Cloud Appliance|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|AnyConnect Secure Mobility Client|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|AppDynamics|Multiple|Not vuln|Fix|Fix|Not vuln|See advisory for complete list of fixed versions per component|[source](https://docs.appdynamics.com/display/PAA/Security+Advisory%3A+Apache+Log4j+Vulnerability)|
|Cisco|AppDynamics with Cisco Secure Application|Multiple|Not vuln|Fix|Fix|Not vuln||[source](https://docs.appdynamics.com/display/PAA/Security+Advisory%3A+Apache+Log4j+Vulnerability)|
|Cisco|Application Policy Infrastructure Controller (APIC)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Application Policy Infrastructure Controller (APIC) - Network Insights Base App|4.2(7r), 5.2(3g)| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Application Policy Infrastructure Controller Enterprise Module (APIC-EM)|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|ASR 5000 Series Routers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Automated Subsea Tuning|2.1.0| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Broadcloud Calling| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|BroadWorks|2021.11_1.162, ap381882| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Business 100 and 200 Series Access Points|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Business 220 Series Smart Switches|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Business 250 Series Smart Switches|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Business 350 Series Managed Switches|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Business Dashboard|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Business Process Automation|3.0.000.115, 3.1.000.044, 3.2.000.009| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Business Wireless|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Call Studio|11.6(2), 12.0(1), 12.5(1), 12.6(1)| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Catalyst 9100 Series Access Points|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Catalyst 9800 Series Wireless Controllers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|220 Series Smart Plus Switches|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|250 Series Smart Switches|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|350 Series Series Managed Switches|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|5000 Series Enterprise Network Compute system (ENCS)|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|550 Series Stackable Managed Switches|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Cloud Connect|12.6(1)| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Cloud Email Security| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Cloud Services Platform 2100|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Cloud Services Platform 5000 Series|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|CloudCenter|4.10.0.16| |Fix|Fix|Not vuln|Fixes should be available from 23 Dec 2021|[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|CloudCenter Action Orchestrator| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|CloudCenter Cost Optimizer|5.5.2| |Fix|Fix| ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|CloudCenter Suite Admin|5.3.1| |Fix|Fix| ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|CloudCenter Workload Manager|5.5.2| |Fix| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Cloudlock|All| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Cloudlock for Government|All| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Cognitive Intelligence| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Collaboration Experience Service (CES)|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Collaboration Experience Service Management (CESM)|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Common Services Platform Collector (CSPC)|2.10.0, 2.9.1.3| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Computer Telephony Integration Object Server (CTIOS)| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|ConfD| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Connected Grid Device Manager| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Connected Mobile Experiences (CMX)|10.6.3-70, 10.6.3-105, 10.6.2-89, 10.4.1| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Connectivity| | |Not vuln| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Contact Center Domain Manager (CCDM)|12.5(1) ES6, 12.6(1) ES3| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Contact Center Management Portal (CCMP)|12.5(1) ES6, 12.6(1) ES3| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Container Platform| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Content Security Management Appliance (SMA)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Crosswork Change Automation|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Crosswork Cloud|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Crosswork Data Gateway|2.0.2, 3.0.1| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Crosswork Health Insights|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Crosswork Network Controller|2.0.1, 3.0.1| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Crosswork Optimization Engine|2.0.1, 3.0.1| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Crosswork Platform Infrastructure|4.0.1, 4.1.1| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Crosswork Situation Manager|8.0.0.8| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Crosswork Service Health|All| |Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Crosswork Zero Touch Provisioning (ZTP)|2.0.1, 3.0.1| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|CX Cloud|All| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|CX Cloud Agent Software|1.12.2| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Cyber Vision Sensor Management Extension|4.0.3| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Data Center Network Manager (DCNM)|12.0(2d), 11.5(3), 11.5(2), 11.5(1), 11.4(1), 11.3(1)| |Vulnerable|Vulnerable|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Defense Orchestrator| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|DNA Assurance| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|DNA Center|2.2.2.8, 2.1.2.8, 2.2.3.4| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|DNA Spaces|2.5, 2.8.2, 2.11.0, 2.13.3|Not vuln|Fix| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|DNA Spaces Connector|v2.0.588, v2.2.12| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Duo| |Not vuln|Fix| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|duo network gateway (on-prem/self-hosted)| | |Investigation| | |||
|Cisco|DUO network gateway (on-prem/self-hosted)| | |Investigation| | |||
|Cisco|Duo Security for Government|All| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Elastic Services Controller (ESC)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Email Security Appliance (ESA)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Emergency Responder|11.5(4)SU9, 11.5(4)SU10| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Enterprise Chat and Email|12.0(1), 12.5(1), 12.6(1)| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Enterprise NFV Infrastructure Software (NFVIS)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|eSIM Flex|All| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Evolved Programmable Network Manager|5.1.3.1| |Fix|Fix|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Evolved Programmable Network Manager|< 5.0.2.1, < 4.1.1.1| |Vulnerable|Vulnerable|Not vuln|Fix should be available from 13 Jan 2022|[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Exony Virtualized Interaction Manager (VIM)| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Expressway Series| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Extensible Network Controller (XNC)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Finesse|< 12.6(1)ES03| |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Firepower 4100 Series| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Firepower 9300 Security Appliances| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Firepower Management Center| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Firepower Threat Defense (FTD) managed by FDM|6.2.3 hotfix, 6.4.0 hotfix, 6.6.5 hotfix, 6.7.0 hotfix, 7.0.1 hotfix, 7.1.0 hotfix| |Fix| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|General Cisco Disclaimer|Cisco is updating their advisory three times a day, please keep their website in your watchlist. We will try to update accordingly| | | | |||
|Cisco|GGSN Gateway GPRS Support Node| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Hosted Collaboration Mediation Fulfillment| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|HyperFlex System| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Identity Services Engine (ISE)|2.4 hotfix, 2.6 hotfix, 2.7 hotfix, 3.0 hotfix, 3.1 hotfix| |Fix| | |Fix expected on Dec 17th|[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Integrated Management Controller (IMC) Supervisor|2.3.2.1| |Fix| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Intersight| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Intersight Virtual Appliance| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|IOS and IOS XE Software| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|IOS XR Software| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|IoT Field Network Director (formerly   Connected Grid Network Management System)| | |Investigation| | ||[Vulnerability in Apache Log4j Library Affecting Cisco Products: December 2021](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|IoT Field Network Director (formerly Cisco Connected Grid Network Management System)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|IoT Operations Dashboard| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|IOx Fog Director| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|IP Services Gateway (IPSG)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Jabber Guest|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Kinetic for Cities| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Managed Services Accelerator (MSX) Network Access Control Service| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|MDS 9000 Series Multilayer Switches| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Meeting Server| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Meraki GO| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Meraki MR| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Meraki MS| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Meraki MT| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Meraki MV| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Meraki MX| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Meraki System Manager| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Meraki Z-Series| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|MME Mobility Management Entity| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Mobility Services Engine| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Mobility Unified Reporting and Analytics System| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Modeling Labs| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Network Assessment (CNA) Tool| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Network Assurance Engine| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Network Convergence System 2000 Series| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Network Planner| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Network Services Orchestrator (NSO)|< nso-5.3.5.1, nso-5.4.5.2, nso-5.5.4.1, nso-5.6.3.1| |Vulnerable| | |Fixes expected 17-Dec|[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Nexus 3000 Series Switches| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Nexus 5500 Platform Switches| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Nexus 5600 Platform Switches| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Nexus 6000 Series Switches| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Nexus 7000 Series Switches| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Nexus 9000 Series Fabric Switches in Application Centric Infrastructure (ACI) mode| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Nexus 9000 Series Switches in standalone NX-OS mode| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Nexus Dashboard (formerly   Application Services Engine)| | |Investigation| | ||[Vulnerability in Apache Log4j Library Affecting Cisco Products: December 2021](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Nexus Dashboard (formerly Cisco Application Services Engine)|<2.1.2| |Vulnerable| | |Fixes expected 7-Jan-2022|[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Nexus Data Broker| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Nexus Insights| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Optical Network Planner| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Packaged Contact Center Enterprise| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Paging Server| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Paging Server (InformaCast)| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|PDSN/HA Packet Data Serving Node and Home Agent| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|PGW Packet Data Network Gateway| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Policy Suite| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Access Registrar| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Cable Provisioning| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Central for Service Providers| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Collaboration Assurance| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Collaboration Deployment| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Collaboration Manager| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Collaboration Provisioning| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Infrastructure| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime IP Express| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime License Manager| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Network| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Network Registrar| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Optical for Service Providers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Performance Manager| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Provisioning| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Prime Service Catalog| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Registered Envelope Service| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|SD-WAN vEdge 1000 Series Routers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|SD-WAN vEdge 2000 Series Routers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|SD-WAN vEdge 5000 Series Routers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|SD-WAN vEdge Cloud Router Platform| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|SD-WAN vManage| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Secure Network Analytics (SNA), formerly Stealthwatch| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Security Manager| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Smart Software Manager On-Prem| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|SocialMiner|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|System Architecture Evolution Gateway (SAEGW)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|TelePresence Management Suite| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|TelePresence Video Communication Server (VCS)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Tetration Analytics|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|UCS C-Series Rack Servers - Integrated Management Controller| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|UCS Central Software|2.3.2.1| |Fix| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|UCS Director|6.8.2.0| |Fix| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|UCS Manager| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|UCS Performance Manager| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Ultra Packet Core| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Umbrella| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Attendant Console Advanced| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Attendant Console Business Edition| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Attendant Console Department Edition| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Attendant Console Enterprise Edition| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Attendant Console Premium Edition| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Communications Domain Manager| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Communications Manager / Cisco Unified Communications Manager Session Management Edition| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Communications Manager Cloud| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Communications Manager IM & Presence Service (formerly CUPS)| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Contact Center Enterprise| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Contact Center Enterprise - Live Data server| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Contact Center Express| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Customer Voice Portal| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Intelligence Center| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified Intelligent Contact Management Enterprise| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unified SIP Proxy Software| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unity Connection| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Unity Express| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Video Surveillance Media Server| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Video Surveillance Operations Manager|<7.14.4| |Vulnerable| | |Fixes expected 16-Dec-2021|[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Virtual Topology System - Virtual Topology Controller (VTC) VM| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Virtualized Voice Browser| | |Investigation| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Vision Dynamic Signage Director| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|WAN Automation Engine (WAE)| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Web Security Appliance (WSA)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Webex App| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Webex Cloud-Connected UC (CCUC)| | |Vulnerable| | ||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Webex Meetings Server|CWMS-3.0MR4SP2, CWMS-4.0MR4SP2,CWMS-3.0MR4SP3, CWMS-4.0MR4SP3| |Fix| | |Fixes expected 14-Dec-2021|[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Webex Room Phone| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Webex Teams| | |Investigation| | ||[Vulnerability in Apache Log4j Library Affecting Cisco Products: December 2021](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Wide Area Application Services (WAAS)|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Cisco|Wireless LAN Controller| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://tools.cisco.com/security/left/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd)|
|Citrix|ADC (NetScaler ADC) and   Gateway (NetScaler Gateway)|All Platforms|Not vuln|Not vuln|Not vuln|Not vuln|Citrix continues to investigate any potential impact on Citrix-managed cloud services. If, as the investigation continues, any Citrix-managed services are found to be affected by this issue, Citrix will take immediate action to remediate the problem. Customers using Citrix-managed cloud services do not need to take any action.|[Citrix Statement](https://support.citrix.com/article/CTX335705)|
|Citrix|Analytics| | |Investigation| | ||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|Application Delivery Management (NetScaler MAS)|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|Cloud Connector| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|Connector Appliance for Cloud Services| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|Content Collaboration (ShareFile Integration)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|Content Collaboration (ShareFile Integration) –   Files for Windows,   Files for Mac,   Files for Outlook| |Not vuln|Not vuln|Not vuln|Not vuln|Citrix continues to investigate any potential impact on Citrix-managed cloud services. If, as the investigation continues, any Citrix-managed services are found to be affected by this issue, Citrix will take immediate action to remediate the problem. Customers using Citrix-managed cloud services do not need to take any action.|[Citrix Statement](https://support.citrix.com/article/CTX335705)|
|Citrix|Endpoint Management (  XenMobile Server)| |Not vuln|Fix| | |For CVE-2021-44228 and CVE-2021-45046: Impacted–Customers are advised to apply the latest CEM rolling patch updates listed below as soon as possible to reduce the risk of exploitation.  https://support.citrix.com/article/CTX335763 XenMobile Server 10.14 RP2;  https://support.citrix.com/article/CTX335753 XenMobile Server 10.13 RP5; and  https://support.citrix.com/article/CTX335785 XenMobile Server 10.12 RP10. Note: Customers who have upgraded their XenMobile Server to the updated versions are recommended not to apply the responder policy mentioned in the blog listed below to the Citrix ADC vserver in front of the XenMobile Server as it may impact the enrollment of Android devices. For CVE-2021-45105: Investigation in progress.|[Citrix Statement](https://support.citrix.com/article/CTX335705)|
|Citrix|Endpoint Management (XenMobile Server)|10.12 RP10, 10.13 RP5 and 10.14 RP2|Not vuln|Fix|Fix|Investigation||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|Files for Mac| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|Files for Outlook| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|Files for Windows| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|Hypervisor (XenServer)| | |Not vuln| | ||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|License Server| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|NetScaler ADC|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|NetScaler Gateway|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|SD-WAN|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|Sharefile| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|ShareFile Storage Zones Controller| |Not vuln|Not vuln|Not vuln|Not vuln|Citrix continues to investigate any potential impact on Citrix-managed cloud services. If, as the investigation continues, any Citrix-managed services are found to be affected by this issue, Citrix will take immediate action to remediate the problem. Customers using Citrix-managed cloud services do not need to take any action.|[Citrix Statement](https://support.citrix.com/article/CTX335705)|
|Citrix|Virtual Apps and Desktops (XenApp & XenDesktop)|Linux VDA 2112|Not vuln|Fix|Investigation| |Impacted – Linux VDA (non-LTSR versions only), Not vulnerable: App Layering, Delivery Controller, Director, FAS, HDX, Profile Management, PVS, Session Recording, Storefront, Studio, Windows VDA, WEM|[source](https://support.citrix.com/article/CTX335705)|
|Citrix|Workspace| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Citrix|Workspace App|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.citrix.com/article/CTX335705)|
|Claris|All| | | | | ||[Claris Article](https://support.claris.com/s/article/CVE-2021-44228-Apache-Log4j-Vulnerability-and-Claris-products?language=en_US)|
|Clavister|EasyAccess|<= 4.1.2|Not vuln|Fix| | ||[source](https://kb.clavister.com/343410234/high-severity-vulnerability-in-apache-log4j-2)|
|Clavister|InCenter|<= 1.68.03, 2.0.0 and 2.1.0|Not vuln|Fix| | ||[source](https://kb.clavister.com/343410462/vulnerability-in-apache-log4j-2-which-is-used-in-inleft)|
|Clavister|InControl| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.clavister.com/advisories/security/clav-sa-0297-high-severity-vulnerability-in-apache-log4j-2)|
|Clavister|NetShield| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.clavister.com/advisories/security/clav-sa-0297-high-severity-vulnerability-in-apache-log4j-2)|
|Clavister|NetWall| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.clavister.com/advisories/security/clav-sa-0297-high-severity-vulnerability-in-apache-log4j-2)|
|Clavister|OneConnect| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.clavister.com/advisories/security/clav-sa-0297-high-severity-vulnerability-in-apache-log4j-2)|
|Cloudera|AM2CM Tool| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Ambari|Only versions 2.x, 1.x| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Arcadia Enterprise|Only version 7.1.x| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|CDH, HDP, and HDF|Only version 6.x| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|CDP Operational Database (COD)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|CDP Private Cloud Base|Only version 7.x| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|CDS 3 Powered by Apache Spark|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|CDS 3.2 for GPUs|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Cybersecurity Platform|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Data Analytics Studio (DAS)| | |Investigation| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Data Catalog| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Data Engineering (CDE)|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Data Engineering (CDE)| | |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Data Flow (CFM)| | |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Data Lifecycle Manager (DLM)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Data Science Workbench (CDSW)|Only versions 2.x, 3.x| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Data Steward Studio (DSS)|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Data Visualization (CDV)| | |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Data Warehouse (CDW)|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Data Warehouse (CDW)| | |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|DataFlow (CDF)| | |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Edge Management (CEM)|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Enterprise|Only version 6.x| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Flow Management (CFM)|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Hortonworks Data Flow (HDF)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Hortonworks Data Platform (HDP)|Only versions 7.1.x, 2.7.x, 2.6.x| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Hortonworks DataPlane Platform| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Machine Learning (CML)|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Machine Learning (CML)| | |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Management Console|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Management Console for CDP Public Cloud| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Manager (Including Backup Disaster Recovery (BDR) and Replication Manager)|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Manager (Including Backup Disaster Recovery (BDR) and Replication Manager)|Only versions 7.0.x, 7.1.x, 7.2.x| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Manager (Including Backup Disaster Recovery (BDR))| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Replication Manager| | |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Runtime (including   Data Hub and all Data Hub templates)|Only versions 7.0.x, 7.1.x, 7.2.x| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|SmartSense| | |Investigation| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Stream Processing (CSP)|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Streaming Analytics (CSA)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Streaming Analytics (CSA)| | |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Workload Manager| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Workload XM|All| |Vulnerable| | ||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|Cloudera|Workload XM (SaaS)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019)|
|CloudFlare|All| | | | | ||[CloudFlare Blog Post](https://blog.cloudflare.com/cve-2021-44228-log4j-rce-0-day-mitigation/)|
|Cloudian HyperStore|All| | | | | ||[Cloudian Article](https://cloudian-support.force.com/s/article/SECURITY-Cloudian-HyperStore-Log4j-vulnerability-CVE-2021-44228)|
|Cloudogu|Ecosystem|All|Not vuln|Fix| | ||[Cloudogu Community](https://community.cloudogu.com/t/security-vulnerability-log4shell-cve-2021-44228/417)|
|Cloudogu|SCM-Manager| |Not vuln|Not vuln|Not vuln|Not vuln||[SCM-Manager Blog](https://scm-manager.org/blog/posts/2021-12-13-log4shell/)|
|Cloudron|All| | | | | ||[Cloudron Forum](https://forum.cloudron.io/topic/6153/log4j-and-log4j2-library-vulnerability?lang=en-US)|
|Clover|All| | | | | ||[Clover Article](https://community.clover.com/articles/35868/apache-log4j-vulnerability-cve-2021-44228.html)|
|Cockroach Labs|CockroachDB|-|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.cockroachlabs.com/docs/advisories/acve-2021-44228#statement)|
|Code42|App|8.8.1|Not vuln|Fix| | ||[Code42 Release Notification](https://success.code42.com/hc/en-us/articles/4416158712343-RELEASE-NOTIFICATION-Code42-Vulnerability-Mitigation-for-CVE-2021-44228-and-other-updates)|
|Code42|Crashplan|8.8, possibly prior versions|Not vuln|Fix| | |I think, they don't specify in the notice, but we know that they released an updated Crashplan client. Possibly prior versions affected.|[Code42 Release Notification](https://success.code42.com/hc/en-us/articles/4416158712343-RELEASE-NOTIFICATION-Code42-Vulnerability-Mitigation-for-CVE-2021-44228-and-other-updates)|
|CodeBeamer|All| | | | | ||[CodeBeamer Link](https://codebeamer.com/cb/wiki/19872365)|
|CODESYS|All|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.codesys.com/news-events/news/article/log4j-not-used-in-codesys.html)|
|Cohesity|All| | | | | ||[Cohesity Support Link](https://support.cohesity.com/s/article/Security-Advisory-Apache-Log4j-Remote-Code-Execution-RCE-CVE-2021-44228)|
|Commvault|Cloud Apps & Oracle & MS-SQL|All supported versions|Not vuln|Fix| | ||[source](https://documentation.commvault.com/11.24/essential/146231_security_vulnerability_and_reporting.html)|
|Compumatica|CompuMail Gateway|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.compumatica.com/nieuws-bericht/important-information-log4j-vulnerability-compumatica-secure-networks/)|
|Compumatica|Compuwall|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.compumatica.com/nieuws-bericht/important-information-log4j-vulnerability-compumatica-secure-networks/)|
|Compumatica|CryptoGuard|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.compumatica.com/nieuws-bericht/important-information-log4j-vulnerability-compumatica-secure-networks/)|
|Compumatica|MagiCtwin|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.compumatica.com/nieuws-bericht/important-information-log4j-vulnerability-compumatica-secure-networks/)|
|Compumatica|MASC|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.compumatica.com/nieuws-bericht/important-information-log4j-vulnerability-compumatica-secure-networks/)|
|Concourse|All| |Not vuln|Not vuln|Not vuln|Not vuln||[Concourse Community Discussion](https://github.com/concourse/concourse/discussions/7887)|
|ConcreteCMS.com|All| | | | | ||[ConcreteCMS.com Link](https://www.concretecms.com/about/blog/security/concrete-log4j-zero-day-exploit)|
|Confluent|Cloud| |Not vuln|Fix| | |server-side fix|[source](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability)|
|Confluent|Community Platform| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability)|
|Confluent|Community/Standalone Package of ksqlDB| |Not vuln|Not vuln|Not vuln|Not vuln|No exploitable conditions found, working on package without log4j2|[source](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability)|
|Confluent|Connectors|see link|Not vuln|Fix| | |List of vulnerable connectors available at Confluent|[source](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability)|
|Confluent|ElasticSearch Sink Connector|<11.1.7|Not vuln|Fix| | ||[December 2021 Log4j Vulnerabilities Advisory](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors)|
|Confluent|for Kubernetes|2.1.0-1 and 2.2.0-1|Not vuln|Fix| | |Only applicable to confluent-init-container|[source](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability)|
|Confluent|Google DataProc Sink Connector|<1.1.5|Not vuln|Fix| | ||[December 2021 Log4j Vulnerabilities Advisory](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors)|
|Confluent|HDFS 2 Sink Connector|<10.1.3|Not vuln|Fix| | ||[December 2021 Log4j Vulnerabilities Advisory](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors)|
|Confluent|HDFS 3 Sink Connector|<1.1.8| |Vulnerable| | ||[December 2021 Log4j Vulnerabilities Advisory](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors)|
|Confluent|Kafka Connectors| |Not vuln|Not vuln|Not vuln|Not vuln||[December 2021 Log4j Vulnerabilities Advisory](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors)|
|Confluent|Platform|7.0.1|Not vuln|Fix| | ||[source](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability)|
|Confluent|Splunk Sink Connector|<2.05|Not vuln|Fix| | ||[December 2021 Log4j Vulnerabilities Advisory](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors)|
|Confluent|VMWare Tanzu GemFire Sink Connector|<1.0.8|Not vuln|Fix| | ||[December 2021 Log4j Vulnerabilities Advisory](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors)|
|Connect2id|server|< 12.5.1|Not vuln|Fix| | ||[source](https://connect2id.com/blog/connect2id-server-12-5-1)|
|Connectwise|Global search capability of Manage Cloud| | |Workaround| | ||[source](https://www.connectwise.com/company/trust/advisories)|
|Connectwise|Manage on-premise's Global Search| | |Workaround| | ||[source](https://www.connectwise.com/company/trust/advisories)|
|Connectwise|Marketplace| | |Workaround| | ||[source](https://www.connectwise.com/company/trust/advisories)|
|Connectwise|Perch| |Not vuln|Fix| | ||[source](https://www.connectwise.com/company/trust/advisories)|
|Connectwise|StratoZen| | |Workaround| | |Urgent action for self-hosted versions|[source](https://www.connectwise.com/company/trust/advisories)|
|Contrast|Hosted SaaS Enviroments|All|Not vuln|Fix| | ||[source](https://support.contrastsecurity.com/hc/en-us/articles/4412612486548)|
|Contrast|Java Agent|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.contrastsecurity.com/hc/en-us/articles/4412612486548)|
|Contrast|On-premises (EOP) Environments|All|Not vuln|Fix| | ||[source](https://support.contrastsecurity.com/hc/en-us/articles/4412612486548)|
|Contrast|Scan|All|Not vuln|Fix| | ||[source](https://support.contrastsecurity.com/hc/en-us/articles/4412612486548)|
|ContrastSecurity|All| | | | | ||[ContrastSecurity Article](https://support.contrastsecurity.com/hc/en-us/articles/4412612486548)|
|ControlUp|All|All|Not vuln|Fix| | ||[source](https://status.controlup.com/incidents/qqyvh7b1dz8k)|
|Copadata|Zenon product family|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.copadata.com/en/support-services/knowledge-base-faq/pare-products-in-the-zenon-product-family-affect-4921/)|
|Coralogix|All| |Not vuln|Fix| | ||[source](https://status.coralogix.com/incidents/zzfn8t0fzdy2?u=1q9952ycm1gr)|
|Couchbase|ElasticSearch connector|< 4.3.3 & < 4.2.13|Not vuln|Fix| | ||[source](https://forums.couchbase.com/t/ann-elasticsearch-connector-4-3-3-4-2-13-fixes-log4j-vulnerability/32402)|
|Coveo|On-Premises Crawling Module| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://docs.coveo.com/en/1756/news/coveo-platform-new-features#coveo-is-not-vulnerable-to-the-apache-log4j-rce)|
|Coveo|Platform (hosted services)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://docs.coveo.com/en/1756/news/coveo-platform-new-features#coveo-is-not-vulnerable-to-the-apache-log4j-rce)|
|cPanel|All| | |Workaround| | ||[source](https://forums.cpanel.net/threads/log4j-cve-2021-44228-does-it-affect-cpanel.696249/)|
|Cradlepoint|All| | | | | ||[Cradlepoint](https://cradlepoint.com/vulnerability-alerts/cve-2021-44228-apache-log4j-security-vulnerabilities/)|
|Crestron|All| |Not vuln|Not vuln|Not vuln|Not vuln||[Crestron Advisory](https://www.crestron.com/Security/Security_Advisories/Apache-Log4j)|
|CrushFTP|All| | | | | ||[CrushFTP Link](https://www.crushftp.com/download.html)|
|Cryptshare|.NET API|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.cryptshare.com/nl/support/cryptshare-support/)|
|Cryptshare|for Notes|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.cryptshare.com/nl/support/cryptshare-support/)|
|Cryptshare|for NTA 7516|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.cryptshare.com/nl/support/cryptshare-support/)|
|Cryptshare|for Outlook|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.cryptshare.com/nl/support/cryptshare-support/)|
|Cryptshare|Java API|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.cryptshare.com/nl/support/cryptshare-support/)|
|Cryptshare|Robot|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.cryptshare.com/nl/support/cryptshare-support/)|
|Cryptshare|Server|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.cryptshare.com/nl/support/cryptshare-support/)|
|Cyberark|Cloud Entitlements Manager| | |Not vuln| | ||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Endpoint Privilege Manager (EPM) - Agents| | |Not vuln| | ||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Endpoint Privilege Manager (EPM) - EPM Server (On-Premise)| | |Not vuln| | ||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Endpoint Privilege Manager (EPM) - Service (SaaS)| | |Not vuln| | ||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|HTML5 Gateway| | |Not vuln| | ||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Identity - Mobile App| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Identity - On-Premise Components| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Identity - Secure Web Sessions (SWS)| |Not vuln|Fix| | ||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Identity - Service (SaaS)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Legacy Sensitive Information Management (SIM)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Marketplace components - Certified and Trusted Marketplace Components| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Marketplace components - CPM Plugins| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Marketplace components - PSM Connection Components| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|On-Demand Privileges Manager (OPM)| | |Not vuln| | ||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|PAS Self Hosted (Vault, PVWA, CPM, PSM, PSMP)| | |Not vuln| | ||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Privilege Cloud - On-Premise Components| | |Not vuln| | ||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Privilege Cloud - Service (SaaS)| |Not vuln|Fix| | |Mitigation applied. No further action required by customers|[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Privileged Threat Analytics (PTA)| |Not vuln|Workaround| | ||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228) [workaround](https://cyberark-customers.force.com/s/article/PTA-CVE-2021-44228-Mitigation-for-Privilege-Threat-Analytics)|
|Cyberark|Remote Access (Alero) - Connector| |Not vuln|Fix| | ||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Remote Access (Alero) - Mobile App| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Remote Access (Alero) - Service (SaaS)| |Not vuln|Fix| | |Mitigation applied. No further action required by customers|[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Secrets Manager Conjur Enterprise| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cyberark|Secrets Manager Credential Providers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228)|
|Cybereason|All Cybereason products| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.cybereason.com/blog/cybereason-solutions-are-not-impacted-by-apache-log4j-vulnerability-cve-2021-44228)|
|CyberRes|All| | | | | ||[CyberRes Community Link](https://community.microfocus.com/cyberres/b/sws-22/posts/summary-of-cyberres-impact-from-log4j-or-logshell-logjam-cve-2021-44228)|
|Cydar Medical|EV system| | |Not Vuln| | ||[source](https://www.cydarmedical.com/news/cydar-response-to-apache-log4j-vulnerability)|
