# List of software (un)affected by the log4shell CVEs
[About this list](README.md)

[0-9](software_list_0-9.md) [A](software_list_a.md) [B](software_list_b.md) [C](software_list_c.md) [D](software_list_d.md) [E](software_list_e.md) [F](software_list_f.md) [G](software_list_g.md) [H](software_list_h.md) [I](software_list_i.md) [J](software_list_j.md) [K](software_list_k.md) [L](software_list_l.md) [M](software_list_m.md) [N](software_list_n.md) [O](software_list_o.md) [P](software_list_p.md) [Q](software_list_q.md) [R](software_list_r.md) [S](software_list_s.md) [T](software_list_t.md) [U](software_list_u.md) [V](software_list_v.md) [W](software_list_w.md) [X](software_list_x.md) [Y](software_list_y.md) [Z](software_list_z.md)

### J

| Supplier | Product | Version (see Status) | Status CVE-2021-4104 | Status CVE-2021-44228 | Status CVE-2021-45046 | Status CVE-2021-45105 | Notes | Links |
|:---------|:--------|:--------------------:|:--------------------:|:---------------------:|:---------------------:|:---------------------:|:------|------:|
|Janitza|GridVis| | |Not vuln| | ||[link](https://www.janitza.com/us/gridvis-download.html)|
|Jamasoftware|All| | | | | ||[Jamasoftware Statement](https://community.jamasoftware.com/communities/community-home/digestviewer/viewthread?MessageKey=06d26f9c-2abe-4c10-93d4-c0f6c8a01b22&CommunityKey=c9d20d4c-5bb6-4f19-92eb-e7cee0942d51&tab=digestviewer#bm06d26f9c-2abe-4c10-93d4-c0f6c8a01b22)|
|Jamf|Pro|10.31.0 – 10.34.0|Not vuln|Fix| | ||[Mitigating the Apache Log4j 2 Vulnerability](https://docs.jamf.com/technical-articles/Mitigating_the_Apache_Log4j_2_Vulnerability.html)|
|Jamf Nation|Health Care Listener| | |Not vuln| | ||[source](https://community.jamf.com/t5/jamf-pro/third-party-security-issue/td-p/253740)|
|Jamf Nation|Jamf Cloud| |Not vuln|Fix| | ||[source](https://community.jamf.com/t5/jamf-pro/third-party-security-issue/td-p/253740)|
|Jamf Nation|Jamf Connect| | |Not vuln| | ||[source](https://community.jamf.com/t5/jamf-pro/third-party-security-issue/td-p/253740)|
|Jamf Nation|Jamf Data Policy| | |Not vuln| | ||[source](https://community.jamf.com/t5/jamf-pro/third-party-security-issue/td-p/253740)|
|Jamf Nation|Jamf Infrastructure Manager| | |Not vuln| | ||[source](https://community.jamf.com/t5/jamf-pro/third-party-security-issue/td-p/253740)|
|Jamf Nation|Jamf Now| | |Not vuln| | ||[source](https://community.jamf.com/t5/jamf-pro/third-party-security-issue/td-p/253740)|
|Jamf Nation|Jamf Private Access| | |Not vuln| | ||[source](https://community.jamf.com/t5/jamf-pro/third-party-security-issue/td-p/253740)|
|Jamf Nation|Jamf Pro (hosted on-prem)|10.34.1| |Fix| | |<10.14 vulnerable, 10.14-10.34 patch, >= 10.34.1 fix|[source](https://community.jamf.com/t5/jamf-pro/third-party-security-issue/td-p/253740)|
|Jamf Nation|Jamf Protect| | |Not vuln| | ||[source](https://community.jamf.com/t5/jamf-pro/third-party-security-issue/td-p/253740)|
|Jamf Nation|Jamf School| | |Not vuln| | ||[source](https://community.jamf.com/t5/jamf-pro/third-party-security-issue/td-p/253740)|
|Jamf Nation|Jamf Threat Defense| | |Not vuln| | ||[source](https://community.jamf.com/t5/jamf-pro/third-party-security-issue/td-p/253740)|
|Jaspersoft|All| | | | | ||[Jaspersoft Statement](https://community.jaspersoft.com/wiki/apache-log4j-vulnerability-update-jaspersoft-products)|
|Java Melody|All|1.90.0| |Fix|Fix| ||[source](https://github.com/javamelody/javamelody/wiki/ReleaseNotes)|
|Jazz/IBM|JazzSM DASH| | |Workaround| | |DASH on WebSphere Application Server requires mitigations|[source](https://www.ibm.com/support/pages/node/6525552)|
|Jedox|All| | | | | ||[Jedox Statement](https://www.jedox.com/en/trust/)|
|Jenkins|CI| | |Not vuln| | |Invidivual plugins not developed as part of Jenkins core may be vulnerable.|[source](https://www.jenkins.io/blog/2021/12/10/log4j2-rce-CVE-2021-44228/)|
|Jenkins|CI/CD Core| |Not vuln|Not vuln|Not vuln|Not vuln|||
|Jenkins|Plugins| | | | | |https://www.jenkins.io/blog/2021/12/10/log4j2-rce-CVE-2021-44228/ Instructions to test your installations in announcement|[Announcement](https://www.jenkins.io/blog/2021/12/10/log4j2-rce-CVE-2021-44228/) [issue tracker](https://issues.jenkins.io/browse/JENKINS-67353)|
|JetBrains|All .NET tools (ReSharper, Rider, ReSharper C++, dotTrace, dotMemory, dotCover, dotPeek)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|Code With Me| |Not vuln|Fix| | ||[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|Datalore| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|Floating license server|30241|Not vuln|Fix| | |update to  https://www.jetbrains.com/help/license_server/release_notes.html#30241 log4j 2.16|[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|Gateway| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|Hub|2021.1.14080|Not vuln|Fix| | ||[source](https://blog.jetbrains.com/hub/2021/12/14/hub-update-regarding-log4j2-vulnerability/)|
|JetBrains|IntelliJ platform based IDEs (AppCode, CLion, DataGrip, DataSpell, GoLand, IntelliJ IDEA Ultimate/Community/Edu, PhpStorm, PyCharm Professional/Community/Edu, Rider, RubyMine, WebStorm)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|Kotlin| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|Ktor| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|MPS| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|Space| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|TeamCity| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://youtrack.jetbrains.com/issue/TW-74298)|
|JetBrains|ToolBox| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|UpSource|2020.1.1952|Not vuln|Fix| | ||[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|YouTrack InCloud| |Not vuln|Fix| | ||[source](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/)|
|JetBrains|YouTrack Standalone|2021.4.35970|Not vuln|Fix| | ||[source](https://blog.jetbrains.com/youtrack/2021/12/youtrack-update-regarding-log4j2-vulnerability/)|
|JFrog|All| | |Not vuln| | ||[source](https://twitter.com/jfrog/status/1469385793823199240)|
|JGraph|DrawIO|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://github.com/jgraph/drawio/issues/2490)|
|Jitsi|jitsi-videobridge|v2.1-595-g3637fda42|Not vuln|Fix| | ||[source](https://github.com/jitsi/security-advisories/blob/4e1ab58585a8a0593efccce77d5d0e22c5338605/advisories/JSA-2021-0004.md)|
|Jitterbit|All| | | | | ||[Jitterbit Statement](https://success.jitterbit.com/display/DOC/Mitigating+the+Apache+Log4j2+JNDI+Vulnerability)|
|Johnson Controls|Athena|All|Not vuln|Not vuln|Not vuln|Not vuln|Cloud product|[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|BCPro|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|C•CURE Client|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|C•CURE Server|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|C•CURE Web|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|C•CURE‐9000|2.90.x, 2.80.x, 2.70.x and 2.60.x|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|CEM AC2000|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|CEM Hardware Products|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|CK721‐A (P2000)|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|CloudVue Gateway|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|CloudVue Web|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Connect24|All|Not vuln|Not vuln|Not vuln|Not vuln|Cloud product|[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Connected Equipment Gateway (CEG)|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|DataSource|All|Not vuln|Not vuln|Not vuln|Not vuln|Cloud product|[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|DLS|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Entrapass|All|Not vuln|Not vuln|Not vuln|Not vuln||[Johnson Controls Advisory Link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|exacqVision Client|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|exacqVision Server|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|exacqVision WebService|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Facility Explorer|14.x|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Illustra Cameras|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Illustra Insight|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|iSTAR|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Kantech Entrapass|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Metasys Products and Tools|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|OpenBlue Active Responder|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|OpenBlue Bridge|All|Not vuln|Fix| | ||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|OpenBlue Chiller Utility Plant Optimizer|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|OpenBlue Cloud|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|OpenBlue Connected Chiller|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|OpenBlue Enterprise Manager|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|OpenBlue Location Manager|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|OpenBlue Risk Insight|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|OpenBlue Twin|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|OpenBlue Workplace|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|P2000|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|PowerSeries NEO|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|PowerSeries Pro|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Qolsys IQ Panels|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|RFID Overhead360° Backend|All|Not vuln|Fix| | |Cloud product|[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|S321‐IP (P2000)|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Shoppertrak Analytics (STaN) ‐ Traffic|All|Not vuln|Not vuln|Not vuln|Not vuln|Cloud product|[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Shoppertrak Market Intelligence|All|Not vuln|Not vuln|Not vuln|Not vuln|Cloud product|[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Shoppertrak Perimeter Apps|All|Not vuln|Not vuln|Not vuln|Not vuln|Cloud product|[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Shoppertrak Shopper Journey|All|Not vuln|Not vuln|Not vuln|Not vuln|Cloud product|[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Shoppertrak Video Analytics|All|Not vuln|Not vuln|Not vuln|Not vuln|Cloud product|[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Sur‐Gard Receivers|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|TrueVue Cloud|All|Not vuln|Not vuln|Not vuln|Not vuln|Cloud product|[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Tyco AI|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|victor|5.x|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|victor/ C•CURE‐9000 Unified|3.81.x / victor 5.4.1 / C•CURE‐9000 2.80 and 3.91.x / victor 5.6.1 / C•CURE‐9000 2.90|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|VideoEdge|5.x|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Johnson Controls|Xaap|All|Not vuln|Not vuln|Not vuln|Not vuln|Cloud product|[source](https://www.johnsoncontrols.com/cyber-solutions/security-advisories)|
|Journyx|All| | | | | ||[Journeyx Statement](https://community.journyx.com/support/solutions/articles/9000209044-apache-log4j-2-vulnerability-cve-2021-44228-)|
|jPOS|(ISO-8583) bridge| | |Not vuln| | ||[source](https://github.com/jpos/jPOS/commit/d615199a1bdd35c35d63c07c10fd0bdbbc96f625)|
|Jump Desktop|All| | | | | ||[Jump Desktop Statement](https://support.jumpdesktop.com/hc/en-us/articles/4416720395021-Log4j-CVE-2021-44228-CVE-2021-45046-Statement)|
|Juniper Networks|Advanced Threat Prevention (JATP)| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|AppFormix| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Apstra System| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Connectivity Services Director| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Contrail products: Contrail Analytics, Contrail Cloud, Contrail Networking or Contrail Service Orchestration| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Cross Provisioning Platform| | |Investigation| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|CTPOS and CTPView| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|ICEAAA Manager| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|JATP Cloud| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|JSA Series| | |Investigation| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Juniper Identity Management Services (JIMS)| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Juniper Mist Edge| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Juniper Sky Enterprise| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Junos OS| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Junos OS Evolved| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Junos Space Network Management Platform| | |Vulnerable| | |Only when OpenNMS has been enabled.|[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Mist Access Points|Any version on AP12, AP21, AP32, AP33, AP34, AP41, AP43, AP45, AP61, AP63.| |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|MIST: Juniper Networks Marvis Virtual Network Assistant (VNA)| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|MIST: Juniper Networks Mist AI| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|MIST: Juniper Networks Paragon Active Assurance| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|MIST: Juniper Networks WAN Assurance| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|MIST: Juniper Networks Wi-Fi Assurance| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|MIST: Juniper Networks Wired Assurance| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Network Director| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Northstar Controller| | |Vulnerable| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Northstar Planner| | |Investigation| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Paragon Insights|">= 21 version 21.1 ; >= 22 version 22.2"| |Vulnerable| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Paragon Pathfinder|">= 21 version 21.1 ; >= 22 version 22.2"| |Vulnerable| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Paragon Planner|">= 21 version 21.1 ; >= 22 version 22.2"| |Vulnerable| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Policy Enforcer| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|products using Wind River Linux in Junos OS and Junos OS Evolved| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|ScreenOS| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|SecIntel| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Secure Analytics| | |Investigation| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Security Director| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Security Director Insights| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Session Smart Router (Formerly 128T)| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Space SDK| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|Standalone Log Collector 20.1 (as also used by Space Security Director)| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Juniper Networks|User Engagement Virtual BLE| | |Not vuln| | ||[source](https://kb.juniper.net/InfoCenter/index?page=content&id=JSA11259&actp=SUBSCRIPTION)|
|Justice Systems|All| | | | | ||[Justice Systems Support](https://www.justicesystems.com/services/support/)|
