# List of software (un)affected by the log4shell CVEs
[About this list](README.md)

[0-9](software_list_0-9.md) [A](software_list_a.md) [B](software_list_b.md) [C](software_list_c.md) [D](software_list_d.md) [E](software_list_e.md) [F](software_list_f.md) [G](software_list_g.md) [H](software_list_h.md) [I](software_list_i.md) [J](software_list_j.md) [K](software_list_k.md) [L](software_list_l.md) [M](software_list_m.md) [N](software_list_n.md) [O](software_list_o.md) [P](software_list_p.md) [Q](software_list_q.md) [R](software_list_r.md) [S](software_list_s.md) [T](software_list_t.md) [U](software_list_u.md) [V](software_list_v.md) [W](software_list_w.md) [X](software_list_x.md) [Y](software_list_y.md) [Z](software_list_z.md)

### L

| Supplier | Product | Version (see Status) | Status CVE-2021-4104 | Status CVE-2021-44228 | Status CVE-2021-45046 | Status CVE-2021-45105 | Notes | Links |
|:---------|:--------|:--------------------:|:--------------------:|:---------------------:|:---------------------:|:---------------------:|:------|------:|
|Logit.io|Platform| | |Not vuln| | ||[link](https://logit.io/blog/post/logit-io-log4shell-security-update)|
|L-Soft|All| | | | | ||[L-Soft Info](http://www.lsoft.com/news/log4jinfo.asp)|
|L3Harris Geospatial|All| | | | | ||[L3Harris Geospatial](https://www.l3harrisgeospatial.com/Support/Self-Help-Tools/Help-Articles/Help-Articles-Detail/ArtMID/10220/ArticleID/24141/Impact-of-Log4j-Java-Security-Vulnerability-CVE-2021-44228-on-L3Harris-Geospatial-software)|
|Lancom Systems|All|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://www.lancom-systems.com/service-support/instant-help/general-security-information)|
|Lansweeper|All|All| |Not vuln| | ||[source](https://www.lansweeper.com/vulnerability/critical-log4j-vulnerability-affects-millions-of-applications/)|
|Laserfiche|All| | | | | ||[Laserfiche Product Information](https://answers.laserfiche.com/questions/194037/Do-any-Laserfiche-products-use-the-Apache-log4j-library#194038)|
|LastPass|MFA| |Not vuln|Fix| | |Universal Proxy on Windows with Debug logging enabled are highly recommended to update to the newest version of the Universal Proxy 3.0.2 or 4.1.2|[source](https://support.logmeininc.com/lastpass/help/log4j-vulnerability-faq-for-lastpass-universal-proxy)|
|LastPass|Other products| | |Not vuln| | ||[source](https://support.logmeininc.com/lastpass/help/log4j-vulnerability-faq-for-lastpass-universal-proxy)|
|LaunchDarkly|All| | | | | ||[LaunchDarkly Statement](https://launchdarkly.com/blog/audit-shows-systems-unaffected-by-log4j/)|
|LeanIX|All|All|Not vuln|Fix| | ||[source](https://www.leanix.net/en/blog/log4j-vulnerability-log4shell)|
|Lecia biosystem|Aperio AT2| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Aperio AT2 DX| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Aperio CS2| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Aperio eSlide Manager| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Aperio GT 450| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Aperio GT 450 DX| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Aperio ImageScope| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Aperio ImageScope DX| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Aperio LV1| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Aperio SAM DX Server For GT 450 DX| |Vulnerable|Not vuln| | |Uses Mirth Connect - See supplier Vyaire Medical further in the list|[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Aperio Scanner Administration Manager (SAM) Server for GT 450| | |Not vuln| | |Uses Mirth Connect - See supplier Vyaire Medical further in the list|[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Aperio VERSA| |Vulnerable|Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Aperio WebViewer DX| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|BOND Controller| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|BOND RX / RXm| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|BOND-ADVANCE| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|BOND-III| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|BOND-MAX| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|CEREBRO| |Vulnerable|Not vuln| | |Uses Mirth Connect - See supplier Vyaire Medical further in the list|[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|CytoVision| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|HistoCore PEARL| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|HistoCore PEGASUS| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|HistoCore SPECTRA CV| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|HistoCore SPECTRA ST| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|HistoCore SPIRIT ST| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|HistoCore SPRING ST| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Leica ASP300S| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Leica CV5030| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Leica ST4020| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Leica ST5010| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Leica ST5020| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|Leica TP1020| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|LIS Connect| |Vulnerable|Not vuln| | |Uses Mirth Connect - See supplier Vyaire Medical further in the list|[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|PathDX| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Lecia biosystem|ThermoBrite Elite| | |Not vuln| | ||[source](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio AT2| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio AT2 DX| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio CS2| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio eSlide Manager| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio GT 450| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio GT 450 DX| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio ImageScope| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio ImageScope DX| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio LV1| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio SAM DX Server For GT 450 DX| | |Investigation| | ||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio Scanner Administration Manager (SAM) Server for GT 450| | |Investigation| | ||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio VERSA| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Aperio WebViewer DX| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|BOND Controller| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|BOND RX| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|BOND RXm| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|BOND-ADVANCE| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|BOND-III| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|BOND-MAX| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|CEREBRO| | |Investigation| | ||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|CytoVision| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|HistoCore PEARL| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|HistoCore PEGASUS| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|HistoCore SPECTRA CV| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|HistoCore SPECTRA ST| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|HistoCore SPIRIT ST| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|HistoCore SPRING ST| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Leica ASP300S| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Leica CV5030| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Leica ST4020| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Leica ST5010| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Leica ST5020| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|Leica TP1020| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|LIS Connect| | |Investigation| | ||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|PathDX| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Leica BIOSYSTEMS|ThermoBrite Elite| |Not vuln|Not vuln|Not vuln|Not vuln||[Leica BIOSYSTEMS Advisory Link](https://www.leicabiosystems.com/about/product-security/)|
|Lenovo|Any 5594 UPS unit| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Any 5595 UPS unit| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|B300 FC SAN Switch|2.0.0, 2.1.0, 2.1.1|Not vuln|Workaround| | ||[source](https://www.broadcom.com/support/fibre-channel-networking/security-advisories/brocade-security-advisory-2021-1651)|
|Lenovo|B6505 FC SAN Switch|2.0.0, 2.1.0, 2.1.1|Not vuln|Workaround| | ||[source](https://www.broadcom.com/support/fibre-channel-networking/security-advisories/brocade-security-advisory-2021-1651)|
|Lenovo|B6510 FC SAN Switch|2.0.0, 2.1.0, 2.1.1|Not vuln|Workaround| | ||[source](https://www.broadcom.com/support/fibre-channel-networking/security-advisories/brocade-security-advisory-2021-1651)|
|Lenovo|BIOS/UEFI| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Chassis Management Module 2 (CMM)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Cloud Deploy| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Commercial Vantage| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Confluent| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|CP-CB-10 (Lenovo)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|CP-CB-10E (Lenovo)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|CP-CN-10 (ThinkAgile)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|CP-CN-10E (ThinkAgile)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|CP-I-10 (ThinkAgile)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|CP-SB-D20 (ThinkAgile)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|CP-SB-D20E (ThinkAgile)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|CP-SB-S10 (ThinkAgile)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|CP6000 (ThinkAgile)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Device Intelligence (LDI)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|DM120S (ThinkSystem)| |Not vuln|Workaround| | ||[source](https://dataleftsupport.lenovo.com/us/en/solutions/ht513178)|
|Lenovo|DM240N (ThinkSystem)| |Not vuln|Workaround| | ||[source](https://dataleftsupport.lenovo.com/us/en/solutions/ht513178)|
|Lenovo|DM240S (ThinkSystem)| |Not vuln|Workaround| | ||[source](https://dataleftsupport.lenovo.com/us/en/solutions/ht513178)|
|Lenovo|DM3000H (ThinkSystem)| |Not vuln|Workaround| | ||[source](https://dataleftsupport.lenovo.com/us/en/solutions/ht513178)|
|Lenovo|DM5000F (ThinkSystem)| |Not vuln|Workaround| | ||[source](https://dataleftsupport.lenovo.com/us/en/solutions/ht513178)|
|Lenovo|DM5000H (ThinkSystem)| |Not vuln|Workaround| | ||[source](https://dataleftsupport.lenovo.com/us/en/solutions/ht513178)|
|Lenovo|DM5100F (ThinkSystem)| |Not vuln|Workaround| | ||[source](https://dataleftsupport.lenovo.com/us/en/solutions/ht513178)|
|Lenovo|DM600S (ThinkSystem)| |Not vuln|Workaround| | ||[source](https://dataleftsupport.lenovo.com/us/en/solutions/ht513178)|
|Lenovo|DM7000F (ThinkSystem)| |Not vuln|Workaround| | ||[source](https://dataleftsupport.lenovo.com/us/en/solutions/ht513178)|
|Lenovo|DM7000H (ThinkSystem)| |Not vuln|Workaround| | ||[source](https://dataleftsupport.lenovo.com/us/en/solutions/ht513178)|
|Lenovo|DM7100F (ThinkSystem)| |Not vuln|Workaround| | ||[source](https://dataleftsupport.lenovo.com/us/en/solutions/ht513178)|
|Lenovo|DM7100H (ThinkSystem)| |Not vuln|Workaround| | ||[source](https://dataleftsupport.lenovo.com/us/en/solutions/ht513178)|
|Lenovo|DSS-G| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Dynamic System Analysis (DSA)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Eaton UPS Network Management Card (NMC)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Embedded System Management Java-based KVM clients| |Not vuln|Not vuln|Not vuln|Not vuln||[Apache Log4j Vulnerability](https://support.lenovo.com/ca/en/product_security/len-76573)|
|Lenovo|Fan Power Controller (FPC)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Fan Power Controller2 (FPC2)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|GCM16 Global Console Managers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|GCM32 Global Console Managers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|IBM Advanced Management Module (AMM)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|IBM GCM16 Global Console Managers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|IBM GCM32 Global Console Managers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|IBM LCM16 Local Console Managers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|IBM LCM8 Local Console Managers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Integrated Management Module II (IMM2)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|LCM16 Local Console Managers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|LCM8 Local Console Managers| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|NetApp ONTAP Tools for VMware vSphere| | |Vulnerable| | |See  https://security.netapp.com/advisory/ntap-20211210-0007/ NetApp advisory.|[Apache Log4j Vulnerability](https://support.lenovo.com/ca/en/product_security/len-76573)|
|Lenovo|Network Switches| |Not vuln|Not vuln|Not vuln|Not vuln|Lenovo CNOS, Lenovo ENOS, IBM ENOS, Brocade FOS|[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Network Switches running: Lenovo CNOS, Lenovo ENOS, IBM ENOS, or Brocade FOS| |Not vuln|Not vuln|Not vuln|Not vuln||[Apache Log4j Vulnerability](https://support.lenovo.com/ca/en/product_security/len-76573)|
|Lenovo|P920 Rack Workstation| | |Vulnerable| | |Patch 2021-12-20|[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Patch for MEM| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|SR530 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|SR550 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|SR570 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|SR590 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|SR630 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|SR630 V2 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|SR645 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|SR650 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|SR650 V2 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|SR665 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|SR850 V2 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|SR860 V2 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|ST550 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|ST558 (ThinkSystem)| | |Vulnerable| | ||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Storage Management utilities| | |Investigation| | ||[Apache Log4j Vulnerability](https://support.lenovo.com/ca/en/product_security/len-76573)|
|Lenovo|System Management Module (SMM)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|System Management Module 2 (SMM2)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|System Update| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Thin Installer| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|ThinkAgile HX| | |Vulnerable| | |Nutanix and VMware components only; hardware not affected. See  https://download.nutanix.com/alerts/Security_Advisory_0023.pdf Nutanix and  https://www.vmware.com/security/advisories/VMSA-2021-0028.html VMWare advisories.|[Apache Log4j Vulnerability](https://support.lenovo.com/ca/en/product_security/len-76573)|
|Lenovo|ThinkAgile HX (VMware Components)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|ThinkAgile VX| | |Vulnerable| | |VMware components only; hardware not affected. See  https://www.vmware.com/security/advisories/VMSA-2021-0028.html VMWare advisory.|[Apache Log4j Vulnerability](https://support.lenovo.com/ca/en/product_security/len-76573)|
|Lenovo|ThinkAgile VX (VMware Components)| |Not vuln|Fix| | ||[source](https://www.vmware.com/security/advisories/VMSA-2021-0028.html)|
|Lenovo|ThinkSystem 2x1x16 Digital KVM Switch - Type 1754D1T| |Not vuln|Fix| | ||[source](https://www.vmware.com/security/advisories/VMSA-2021-0028.html)|
|Lenovo|ThinkSystem DB400D FC Switch| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|ThinkSystem DB610S FC Switch|2.0.0, 2.1.0, 2.1.1|Not vuln|Workaround| | ||[source](https://www.broadcom.com/support/fibre-channel-networking/security-advisories/brocade-security-advisory-2021-1651)|
|Lenovo|ThinkSystem DB620S FC Switch|2.0.0, 2.1.0, 2.1.1|Not vuln|Workaround| | ||[source](https://www.broadcom.com/support/fibre-channel-networking/security-advisories/brocade-security-advisory-2021-1651)|
|Lenovo|ThinkSystem DB630S FC Switch|2.0.0, 2.1.0, 2.1.1|Not vuln|Workaround| | ||[source](https://www.broadcom.com/support/fibre-channel-networking/security-advisories/brocade-security-advisory-2021-1651)|
|Lenovo|ThinkSystem DB720S FC Switch|2.0.0, 2.1.0, 2.1.1|Not vuln|Workaround| | ||[source](https://www.broadcom.com/support/fibre-channel-networking/security-advisories/brocade-security-advisory-2021-1651)|
|Lenovo|ThinkSystem DB800D FC Switch|2.0.0, 2.1.0, 2.1.1|Not vuln|Workaround| | ||[source](https://www.broadcom.com/support/fibre-channel-networking/security-advisories/brocade-security-advisory-2021-1651)|
|Lenovo|ThinkSystem DE Series Storage|2.0.0, 2.1.0, 2.1.1|Not vuln|Workaround| | ||[source](https://www.broadcom.com/support/fibre-channel-networking/security-advisories/brocade-security-advisory-2021-1651)|
|Lenovo|ThinkSystem Digital 2x1x16 KVM Switch, 1754-D1T| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|ThinkSystem DM Series Storage| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|ThinkSystem DS Series Storage| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|ThinkSystem Manager (TSM)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Update Retriever| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|UPS Network Management Card, p/n 46M4110| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Vantage| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|Vertiv rPDUs for Lenovo| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|XClarity Administrator| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|XClarity Administrator (LXCA)| | |Vulnerable| | ||[Apache Log4j Vulnerability](https://support.lenovo.com/ca/en/product_security/len-76573)|
|Lenovo|XClarity Controller (XCC)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|XClarity Energy Manager| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|XClarity Energy Manager (LXEM)| | |Vulnerable| | ||[Apache Log4j Vulnerability](https://support.lenovo.com/ca/en/product_security/len-76573)|
|Lenovo|XClarity Essentials (LXCE)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|xClarity Integrator| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|XClarity Integrator (LXCI) for Microsoft Azure Analytics| |Not vuln|Fix| | ||[source](https://dataleftsupport.lenovo.com/us/en/products/solutions-and-software/software/lenovo-xclarity/lxca/downloads/ds554079-lenovo-xclarity-administrator-ga-fix-345-for-anyos)|
|Lenovo|XClarity Integrator (LXCI) for Microsoft Azure Log Analytics| | |Investigation| | ||[Apache Log4j Vulnerability](https://support.lenovo.com/ca/en/product_security/len-76573)|
|Lenovo|XClarity Integrator (LXCI) for Microsoft System Center| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|XClarity Integrator (LXCI) for Nagios| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|XClarity Integrator (LXCI) for ServiceNow| | |Vulnerable| | |Patch 2021-12-20|[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|XClarity Integrator (LXCI) for VMware vCenter| | |Vulnerable| | ||[Apache Log4j Vulnerability](https://support.lenovo.com/ca/en/product_security/len-76573)|
|Lenovo|XClarity Integrator (LXCI) for Windows Admin Center| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|XClarity Mobile (LXCM)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|XClarity Orchestrator (LXCO)| | |Vulnerable| | |Patch 2021-12-21|[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|Lenovo|XClarity Provisioning Manager (LXPM)| |Not vuln|Not vuln|Not vuln|Not vuln||[source](https://support.lenovo.com/us/en/product_security/LEN-76573)|
|LeoStream|All| | | | | ||[LeoStream Discussion](https://support.leostream.com/support/discussions/topics/66000507567)|
|Let's Encrypt|All| | | | | ||[Let's Enrypt Statement](https://community.letsencrypt.org/t/log4j-vulnerability-cve-2021-44228/167464)|
|LibreNMS|All| | | | | ||[LibreNMS Statement](https://community.librenms.org/t/is-librenms-affected-by-vulnerable-to-cve-2021-25218-cve-2021-44228/17675/6)|
|LifeRay|All| | | | | ||[LifeRay Blog](https://liferay.dev/blogs/-/blogs/log4j2-zero-day-vulnerability)|
|LifeSize|All| | | | | ||[LifeSize Statement](https://community.lifesize.com/s/article/Apache-Log4j2-CVE-2021-44228)|
|Lightbend|Akka| | |Not vuln| | ||[source](https://discuss.lightbend.com/t/regarding-the-log4j2-vulnerability-cve-2021-44228/9275)|
|Lightbend|Akka Serverless| | |Not vuln| | ||[source](https://discuss.lightbend.com/t/regarding-the-log4j2-vulnerability-cve-2021-44228/9275)|
|Lightbend|Lagom Framework| | |Not vuln| | |Users that switched from logback to log4j (non-default) are affected|[source](https://discuss.lightbend.com/t/regarding-the-log4j2-vulnerability-cve-2021-44228/9275)|
|Lightbend|Play Framework| | |Not vuln| | |Users that switched from logback to log4j (non-default) are affected|[source](https://discuss.lightbend.com/t/regarding-the-log4j2-vulnerability-cve-2021-44228/9275)|
|Lime CRM|All| | | | | ||[Lime CRM Statement](https://docs.lime-crm.com/security/lcsec21-01)|
|Liongard|All| | |Not vuln|Not vuln|Investigation||[source](https://insights.liongard.com/faq-apache-log4j-vulnerability)|
|LiquidFiles|All|All|Not vuln|Not vuln|Not vuln|Not vuln||[source](https://mailchi.mp/liquidfiles/liquidfiles-log4j)|
|LiveAction|LiveNA|<21.5.1|Not vuln|Fix| | ||[source](https://documentation.liveaction.com/LiveNA/LiveNA%2021.5.1%20Release%20Notes/Release%20Notes%20LiveNA%2021.5.1.1.2)|
|LiveAction|LiveNX|<21.5.1|Not vuln|Fix| | ||[source](https://documentation.liveaction.com/LiveNX/LiveNX%2021.5.1%20Release%20Notes/Release%20Notes%20LiveNX%2021.5.1.1.3)|
|Loftware|All| | | | | ||[Loftware](https://help.loftware.com/lps-kb/content/log4j%20cve-2021-44228.htm?Highlight=CVE-2021-44228)|
|LOGalyze|SIEM & log analyzer tool|v4.x| |Vulnerable| | |local-log4j-vuln-scanner result: indicator for vulnerable component found in /logalyze/lib/log4j-1.2.17.jar (org/apache/log4j/net/SocketNode.class): log4j 1.2.17|[abandoned open-source software repo (sourceforge.net)](https://sourceforge.net/software/product/LOGalyze/)|
|LogiAnalytics|All| | | | | ||[LogiAnalytics Statement](https://devnet.logianalytics.com/hc/en-us/articles/4415781801751-Statement-on-Log4j-Vulnerability-CVE-2021-44228-)|
|LogicMonitor|Platform| |Not vuln|Not vuln|Not vuln|Not vuln||[Log4j Security Vulnerabilities](https://www.logicmonitor.com/support/log4shell-security-vulnerability-cve-2021-44228)|
|LogMeIn|All| | | | | ||[LogMeIn Statement](https://community.logmein.com/t5/LogMeIn-Central-Discussions/LOG4J-Vulnerability/m-p/280317/highlight/true#M8327)|
|LogRhythm|SIEM|7.4-7.8|Not vuln|Workaround| | |Link is behind a login|[source](https://community.logrhythm.com/t5/Product-Security/Log4J-Remediation-Update-CloudAI-and-NetMon-Complete-LogRhythm/td-p/494350)|
|LogZilla|NEO|All|Not vuln|Not vuln|Not vuln|Not vuln|LogZilla's engine is C++||
|Looker|All|21.0, 21.6, 21.12, 21.16, 21.18, 21.20|Not vuln|Fix| | ||[Looker Statement](https://docs.google.com/document/d/e/2PACX-1vQGN1AYNMHxsRQ9AZNu1bKyTGRUSK_9xkQBge-nu4p8PYvBKIYHhc3914KTfVtDFIXtDhc3k6SZnR2M/pub)|
|LucaNet|All|12 LTS - 1911.0.192+3, 13 LTS - 2011.0.112+7, 22 LTS - 2111.0.11+9|Not vuln|Fix| | ||[source](https://www.lucanet.com/en/blog/update-vulnerability-log4j)|
|Lucee|All| | | | | ||[Lucee Statement](https://dev.lucee.org/t/lucee-is-not-affected-by-the-log4j-jndi-exploit-cve-2021-44228/9331/4)|
|Lyrasis|DSpace|7.1.1|Not vuln|Fix| | ||[source](https://groups.google.com/g/dspace-community/c/Fa4VdjiiNyE)|
|Lyrasis|Fedora Repository|3.x,4.x,5.x,6.x|Not vuln|Not vuln|Not vuln|Not vuln|Fedora Repository is unaffiliated with Fedora Linux.  Uses logback and explicitly excludes log4j.|[Fedora Repository Statement](https://groups.google.com/g/fedora-tech/c/dQMQ5jaX8Xo)|
